Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           irclog2html
Version:        2.17.2
Release:        alt1_1
Summary:        A script to convert IRC logs to HTML and other formats

License:        GPLv2+
URL:            http://mg.pov.lt/irclog2html/
Source0:        https://github.com/mgedmin/irclog2html/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
Source44: import.info

%description
irclog2html is a nice IRC log parser and colorizer that will do the most common
things necessary to make an IRC log readable in a web browser. It can export to
many different HTML formats, and can export MediaWiki pipe-table syntax.

%prep
%setup -q

echo "You may need the irclog.css file. It is available at
  %{_datadir}/%{name}/irclog.css
" > README.fedora

%build
%python3_build

%install
%python3_install
mkdir -p %{buildroot}%{_datadir}/%{name}
install -Dpm 0644 src/%{name}/irclog.css %{buildroot}%{_datadir}/%{name}

%files
%doc CHANGES.rst HACKING.rst README.rst README.fedora
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_bindir}/irclogsearch
%{_bindir}/irclogserver
%{_bindir}/logs2html
%{_datadir}/%{name}/
%{python3_sitelibdir_noarch}/%{name}/
%{python3_sitelibdir_noarch}/*.egg-info

%changelog
* Mon May 13 2019 Igor Vlasenko <viy@altlinux.ru> 2.17.2-alt1_1
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.17.1-alt1_2
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 2.17.1-alt1_1
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.15.3-alt1_5
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 2.15.3-alt1_4
- update to new release by fcimport

* Sat Jun 23 2018 Igor Vlasenko <viy@altlinux.ru> 2.15.3-alt1_3
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.14.0-alt1_2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.13.1-alt1_1
- update to new release by fcimport

* Thu Jan 23 2014 Igor Vlasenko <viy@altlinux.ru> 2.13.0-alt1_1
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.12.1-alt1_3
- update to new release by fcimport

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 2.12.1-alt1_2
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.11.0-alt1_2
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.11.0-alt1_1
- initial fc import

